Get Audit Summary
Returns the audit summary for the agent machine.
GET /assetmgmt/audit/{agentId}/summary
- Accepts filter and sort expressions.
Headers
- Authorization: Bearer {hash string returned from Authentication}
Model Schema
|
Field |
Datatype |
Filterable |
Sortable |
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
SystemInfo |
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
NetworkInfo |
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
TimeInfo |
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
Chassis |
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
Motherboard |
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
BIOS |
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
CPURAM |
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
OnBoardDevices |
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
PortConnectors |
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
MemoryDevices |
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
SystemSlots |
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
CustomFields |
|
|
|
|
|
|
|
|
|
|
|
|
|
Sample Response Model
{ "Result": {"LastAudit": "2016-03-14T22:19:31.823Z",
"NextAudit": "2016-03-14T22:19:31.823Z",
"SystemInfo": {"Manufacturer": "string",
"ProductName": "string",
"Version": "string",
"SysSerialNumber": "string"
},
"NetworkInfo": {"IpAddress": "string",
"Ipv6Address": "string",
"SubnetMask": "string",
"DefaultGateway": "string",
"ConnectionGatewayIp": "string",
"Country": "string",
"MacAddr": "string",
"DhcpEnabled": 0,
"DhcpServer": "string",
"DnsServer": "string",
"WINsEnabled": 0,
"PrimaryWINS": "string",
"SecondaryWINS": "string"
},
"TimeInfo": {"KServerTime": "2016-03-14T22:19:31.823Z",
"AgentTime": "2016-03-14T22:19:31.823Z",
"LastCheckin": "2016-03-14T22:19:31.823Z",
"LastReboot": "2016-03-14T22:19:31.823Z",
"FirstCheckin": "2016-03-14T22:19:31.823Z",
"AgentTimeZone": "string"
},
"Chassis": {"ChassisManufacturer": "string",
"ChassisType": "string",
"ChassisVersion": "string",
"ChassisSerialNumber": "string",
"ChassisAssetTag": "string"
},
"Motherboard": {"MotherboardManufacturer": "string",
"MotherboardProduct": "string",
"MotherboardVersion": "string",
"MotherboardSerialNumber": "string",
"ExternalBusSpeed": "string"
},
"BIOS": {"BiosVendor": "string",
"BiosVersion": "string",
"BiosReleaseDate": "2016-03-14T22:19:31.823Z"
},
"CPURAM": {"ProcessorManufacturer": "string",
"ProcessorFamily": "string",
"ProcessorVersion": "string",
"ProcessorMaxSpeed": "string",
"ProcessorCurrentSpeed": "string",
"CpuDescription": "string",
"CpuCount": 0,
"CpuSpeedMHz": 0,
"RamMBytes": 0,
"MaxMemorySize": "string",
"MemorySlots": "string"
},
"OnBoardDevices": [
{"Type": "string",
"Description": "string"
}
],
"PortConnectors": [
{"InternalRef": "string",
"ExternalRef": "string",
"ConnectionType": "string",
"PortType": "string"
}
],
"MemoryDevices": [
{"Size": "string",
"Form": "string",
"DeviceLocation": "string",
"BankLocation": "string",
"Type": "string",
"Detail": "string",
"Speed": "string"
}
],
"SystemSlots": [
{"Designator": "string",
"Type": "string",
"Usage": "string",
"ID": 0
}
],
"CustomFields": {}, "Attributes": {}},
"ResponseCode": 0,
"Status": "string",
"Error": "string"
}